Package: groovy.ui.text

## [Groovy] Class AutoIndentAction

- groovy.ui.text.AutoIndentAction

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractAction` | `DEFAULT, NAME, SHORT_DESCRIPTION, LONG_DESCRIPTION, SMALL_ICON, ACTION_COMMAND_KEY, ACCELERATOR_KEY, MNEMONIC_KEY, SELECTED_KEY, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `AttributeSet` | `simpleAttributeSet`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `actionPerformed(ActionEvent evt)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractAction` | `removePropertyChangeListener, addPropertyChangeListener, getPropertyChangeListeners, getValue, isEnabled, getKeys, putValue, setEnabled, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait, accept, actionPerformed`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Property Detail

    - #### AttributeSet simpleAttributeSet

  - ### Method Detail

    - #### void actionPerformed(ActionEvent evt)